GroupControllerQueryGroups Method |
POST /Group/Query/
Gets the groups with the given information.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Query")]
public IActionResult QueryGroups(
[FromBodyAttribute] GetGroupsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Query")>
Public Function QueryGroups (
<FromBodyAttribute> options As GetGroupsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Query")]
IActionResult^ QueryGroups(
[FromBodyAttribute] GetGroupsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Query")>]
member QueryGroups :
[<FromBodyAttribute>] options : GetGroupsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetGroupsOptions
An object that carries all needed information about the groups that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
GroupData objects, or a status code indicating the problem.
See Also